using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication2
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] NK = Console.ReadLine().Split();
            int N = int.Parse(NK[0]);
            int K = int.Parse(NK[1]);
            string slova = Console.ReadLine();

            for (int i = 0; i < N; i++)
            {
                string podniz = slova.Substring(0,i);
                if (!podniz.Contains("a") || !podniz.Contains("b"))
                {
                    Console.Write("1 ");
                }
                else if(podniz.Count() == 2)
                {
                    Console.Write("2 ");
                }
                else if (podniz.Count() == 3)
                {
                    Console.Write("2 ");
                }
                else if (podniz == "aaab" || podniz == "aaba" || podniz == "abaa" ||podniz == "abbb" ||podniz == "baaa" ||podniz == "babb" ||podniz == "bbab" ||podniz == "bbba")
                {
                    Console.Write("2 ");
                }
                else if (podniz == "abab" || podniz == "abba" || podniz == "baab" || podniz == "baba")
                {
                    Console.Write("3 ");
                }
                else if (podniz == "aabb" || podniz == "bbaa")
                {
                    Console.Write("2 ");
                }
                else if(podniz == "aaaab" ||podniz == "aaaba" ||podniz == "aaabb" ||podniz == "aabaa" ||podniz == "aabbb" ||podniz == "abaaa" ||podniz == "abbbb" ||podniz == "baaaa" ||podniz == "bbaaa" ||podniz == "bbabb" ||podniz == "bbbaa" ||podniz == "bbbba")
                {
                    Console.Write("2 ");
                }
                else
                {
                    Console.Write("3 ");
                }
            }
        }
    }
}